# vim: set ft=spec: -*- rpm-spec -*-
# $Id: tcl-plugin,v 1.10 2004/11/03 16:02:32 me Exp $

%define snapshot 20040524

Name: tcl-plugin
Version: 3.0
Release: alt4

Summary: Tcl/Tk Plug-In for Mozilla
License: BSD
Group: Networking/WWW
Url: http://tclplugin.sourceforge.net/

Source: %name-%{?snapshot:%snapshot}%{!?snapshot:%version}.tar.bz2
Patch0: %name-3.0-alt-tkcon.patch

Requires: tcl >= 8.4.0-alt1 tkcon >= 2.4-alt2
BuildRequires: autoconf_2.5 automake_1.6 tk-devel rpm-build >= 4.0.4-alt41

%description
Tcl/Tk Plug-In for Mozilla based web browsers

%prep
%setup -q %{?snapshot:-c}
%patch0 -p1

%build
%set_autoconf_version 2.5
%__autoconf
%__rm -rf build
%__mkdir build
cd build
%define _configure_script ../configure
%configure --with-mozilla=%_libdir/mozilla
%make_build

%install 
%make_install DESTDIR=%buildroot pkglibdir=%_tcldatadir/nptcl3.0 install -C build
# tkcon lives in separate package
%__rm -f %buildroot%_tcldatadir/nptcl3.0/tkcon.tcl

%files
%_libdir/mozilla/plugins/*
%_tcldatadir/nptcl3.0

%changelog
* Wed Nov  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt4
- updated from CVS @ 20040524

* Sat Feb 14 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt3
- updated from CVS @ 200402012

* Sat Jun 28 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt2
- updated from CVS @ 20030218

* Wed Jan  8 2003 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt1
- Initial build.

